Subject: Re: pause()

From: Florian Lohoff <[email-masked]>
Date: Fri, 31 Mar 2000 19:53:03 +0200

On Fri, Mar 31, 2000 at 03:15:55PM +0200, Ralf Baechle wrote:
> I just found another brainfart in the libc / kernel interface.  In the
> believe libc wouldn't use the pause(2) syscall any longer I removed it.
> This makes a number of programs like screen burn all CPU they can get.
> I'll provide two fixes, one to libc and a second for the kernel and
> either one will be sufficient.

Could this also be the cause of "top" refreshing the screen as fast
as it can ? I noticed that when i rebuild the debian procps package
and tried top ... It then consumes the cpu it gets ...

Flo
-- 
Florian Lohoff		[email-masked]		      	+49-5241-470566
"Technology is a constant battle between manufacturers producing bigger and
more idiot-proof systems and nature producing bigger and better idiots."